Get the condominium of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/condominium \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/condominium', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/condominium"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"condominium": {
"registration_number": "<string>",
"name": "<string>",
"address": "<string>",
"lots": 0,
"housing_lots": 0,
"parking_lots": 0,
"construction_period": "<string>",
"manager_type": "<string>",
"mandate": "<string>",
"manager": {
"siret": "<string>",
"company": {
"siren": "<string>",
"name": "<string>",
"naf_code": "<string>",
"naf_label": "<string>",
"sector": "<string>",
"created_on": "<string>",
"active": true,
"partial_diffusion": true,
"gabin_url": "<string>",
"legal_form": "<string>",
"headcount_range": "11",
"headquarters": {
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"latest_revenue": 123,
"latest_revenue_year_end": "<string>"
},
"source": "rnic"
},
"volunteer_manager": true
}
},
"meta": {}
}Buildings
Get the condominium of a building
Registered condominium of the building (RNIC): lots, construction period, type of manager and the professional manager (syndic) when it is a legal entity. A volunteer manager is an individual and is never named.
GET
/
v1
/
buildings
/
{id}
/
condominium
Get the condominium of a building
curl --request GET \
--url https://api.gabin.ai/v1/buildings/{id}/condominium \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/buildings/{id}/condominium', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/buildings/{id}/condominium"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"condominium": {
"registration_number": "<string>",
"name": "<string>",
"address": "<string>",
"lots": 0,
"housing_lots": 0,
"parking_lots": 0,
"construction_period": "<string>",
"manager_type": "<string>",
"mandate": "<string>",
"manager": {
"siret": "<string>",
"company": {
"siren": "<string>",
"name": "<string>",
"naf_code": "<string>",
"naf_label": "<string>",
"sector": "<string>",
"created_on": "<string>",
"active": true,
"partial_diffusion": true,
"gabin_url": "<string>",
"legal_form": "<string>",
"headcount_range": "11",
"headquarters": {
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"latest_revenue": 123,
"latest_revenue_year_end": "<string>"
},
"source": "rnic"
},
"volunteer_manager": true
}
},
"meta": {}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
BDNB building id (batiment_groupe_id). Example: "bdnb-bg-CJ69-HW8G-PTTG".
Maximum string length:
40Pattern:
^bdnb-[a-z]{2,4}-[A-Za-z0-9]{4}(-[A-Za-z0-9]{4})*$⌘I